AT-NFC 2.1 (win) AT-NFC kernel set

Functions
HAL License API

HAL License Interface. More...

## Functions
KER_BOOL | hal_license_check (KER_CTX_PARAM KER_INT16U usLicenseType, KER_INT16U usLicenseOptions, KER_INT16U usParam, KER_VOID *pParam, const KER_BYTE *lpbtSalt, KER_INT16U usSaltLen)
| Checks kernel(s) license. More...
#define | KER_LIC_TYPE_T_DUMMY 0x0000
#define | KER_LIC_TYPE_T_EMV_43K 0x0001
#define | KER_LIC_TYPE_T_EMV_44C 0x0002
#define | KER_LIC_TYPE_T_EMV_CORE_43K 0x0081
#define | KER_LIC_TYPE_T_EMV_CORE_44C 0x0082
#define | KER_LIC_TYPE_T_NFC_MIR_23 0x0101
#define | KER_LIC_TYPE_T_NFC_MIR_24 0x0102
#define | KER_LIC_TYPE_T_NFC_UPI_211 0x0201
#define | KER_LIC_TYPE_T_NFC_VISA_211 0x0301
#define | KER_LIC_TYPE_T_NFC_MC_211 0x0401
#define | KER_LIC_TYPE_T_NFC_EMV_211 0x0501
#define | KER_LIC_TYPE_T_NFC_EP_211 0x0601
#define | KER_LIC_TYPE_T_NFC_AMEX_211 0x0701
#define | KER_LIC_TYPE_T_NFC_TEST_29a 0x0F01
#define | KER_LIC_TYPE_T_NFC_RRP 0x1001
#define | KER_LIC_OPT_DEBUG 0x0001

## Detailed Description

HAL License Interface.

This functions should be implemented by terminal application

## Macro Definition Documentation

## ◆ KER_LIC_OPT_DEBUG

#define KER_LIC_OPT_DEBUG 0x0001

License for debug operations

## ◆ KER_LIC_TYPE_T_DUMMY

#define KER_LIC_TYPE_T_DUMMY 0x0000

do not check license, only check by options

## ◆ KER_LIC_TYPE_T_EMV_43K

#define KER_LIC_TYPE_T_EMV_43K 0x0001

T-EMV version 4.3k

## ◆ KER_LIC_TYPE_T_EMV_44C

#define KER_LIC_TYPE_T_EMV_44C 0x0002

T-EMV version 4.4c

## ◆ KER_LIC_TYPE_T_EMV_CORE_43K

#define KER_LIC_TYPE_T_EMV_CORE_43K 0x0081

T-EMV "CORE" version 4.3k

## ◆ KER_LIC_TYPE_T_EMV_CORE_44C

#define KER_LIC_TYPE_T_EMV_CORE_44C 0x0082

T-EMV "CORE" version 4.4c

## ◆ KER_LIC_TYPE_T_NFC_AMEX_211

#define KER_LIC_TYPE_T_NFC_AMEX_211 0x0701

T-NFC-AMEX (C-4) v.2.11

## ◆ KER_LIC_TYPE_T_NFC_EMV_211

#define KER_LIC_TYPE_T_NFC_EMV_211 0x0501

T-NFC-EMV (C-8) v.2.11

## ◆ KER_LIC_TYPE_T_NFC_EP_211

#define KER_LIC_TYPE_T_NFC_EP_211 0x0601

T-NFC-EP (Entry point) v.2.11

## ◆ KER_LIC_TYPE_T_NFC_MC_211

#define KER_LIC_TYPE_T_NFC_MC_211 0x0401

T-NFC-MC (C-2) v.2.11

## ◆ KER_LIC_TYPE_T_NFC_MIR_23

#define KER_LIC_TYPE_T_NFC_MIR_23 0x0101

T-NFC-MIR v.2.3

## ◆ KER_LIC_TYPE_T_NFC_MIR_24

#define KER_LIC_TYPE_T_NFC_MIR_24 0x0102

T-NFC-MIR v.2.4

## ◆ KER_LIC_TYPE_T_NFC_RRP

#define KER_LIC_TYPE_T_NFC_RRP 0x1001

RRP (NFC Gate) option (usParam: Kernel ID length [0 for Entry Point]; pParam: Kernel ID [KER_NULL for Entry Point])

## ◆ KER_LIC_TYPE_T_NFC_TEST_29a

#define KER_LIC_TYPE_T_NFC_TEST_29a 0x0F01

T-NFC-TEST v.29a

## ◆ KER_LIC_TYPE_T_NFC_UPI_211

#define KER_LIC_TYPE_T_NFC_UPI_211 0x0201

T-NFC-UPI (C-7) v.2.11

## ◆ KER_LIC_TYPE_T_NFC_VISA_211

#define KER_LIC_TYPE_T_NFC_VISA_211 0x0301

T-NFC-VISA (C-3) v.2.11

## Function Documentation

## ◆ hal_license_check()

KER_BOOL hal_license_check | ( | KER_CTX_PARAM KER_INT16U | usLicenseType,
|  | KER_INT16U | usLicenseOptions,
|  | KER_INT16U | usParam,
|  | KER_VOID * | pParam,
|  | const KER_BYTE * | lpbtSalt,
|  | KER_INT16U | usSaltLen
| ) |  |

Checks kernel(s) license.

Parameters

  [in] | usLicenseType | - requested license type (KER_LIC_TYPE_T_EMV_43K, etc..).
  [in] | usLicenseOptions | - license options - bitmask (KER_LIC_OPT_DEBUG).
  [in] | usParam | - reserved.
  [in] | pParam | - reserved.
  [in] | lpbtSalt | - Salt for data exchange.
  [in] | usSaltLen | - length of lpbtSalt buffer.

Returns
  KER_TRUE Success.
  KER_FALSE Failure.

OS type for requested license should be detected inside hal_license_check implementation.